Tech

Unsupported or incorrect version of the Mac OS

Today, I bought a new MacBook and wanted to start it up and use it. However, I am getting the message “you’re using an unsupported or incorrect version of the Mac operating system.” It is a legitimate purchase and OS is genuine. Why am I getting this message? How do I fix it?

Hello
Which version OS do you have. and please upload screenshot of your message

Use the Mac operating system that came with your Mac, or a compatible newer version

If you try to use an incompatible macOS, your Mac might not finish starting up, or it might behave unexpectedly.

If you try to start up your Mac from a hard disk, network volume, or Time Machine backup that contains an incompatible [version or build of macOS], you might experience one or more of these symptoms:

  • You see a message that you’re using an unsupported or incorrect version of the Mac operating system.

Check with your re-seller once as you mentioned it is a new mac.

Hope this helps.

Hello Lauriel

Please go through this link https://support.apple.com/en-us/HT201686. It will help you identify & fix the problem.

If it’s not fixed then just share me detail of MacOS and MacBook with screen shot of the error.